@ECHO OFF
IF [%1]==[] GOTO HELP0
GOTO %1
rem
rem  --------------------------------------------------------------------------
rem    Program MINITEX.BAT
rem  --------------------------------------------------------------------------
rem
rem  MINITEX jest programem do minimalnej instalacji pakietu emTeX i powstal
rem  jako przyklad zastosowania artykulu INSTALUJ.TXT z archiwum INSTALUJ.ZIP.
rem
rem  MINITEX jest przystosowany do wspolpracy z nosnikiem danych o
rem  strukturze katalogow zgodnej ze specyfikacja CTAN, np. CD-ROM TeX Live 3.
rem
rem  MINITEX mozna wykorzystac w celu przygotowania przenosnej,
rem  jednodyskietkowej wersji pakietu emTeX.
rem
rem  MINITEX tworzy ekstremalnie okrojona wersje pakietu emTeX i -- z tego
rem  wzgledu -- nie jest zalecany dla poczatkujacych uzytkownikow pakietu.
rem
rem  MINITEX instaluje pakiet emTeX w formacie mogacym obslugiwac dokumenty
rem  polsko- i angielskojezyczne.
rem
rem  Rozszerzona wersje pakietu emTeX mozna przygotowac korzystajac z
rem  programu MIDITEX z archiwum MIDITEX.ZIP.
rem
rem  --------------------------------------------------------------------------
rem    Domyslne warunki instalacji
rem  --------------------------------------------------------------------------
rem
rem  Komputer z procesorem 80386 lub nowszym.
rem
rem  Drukarka HP LaserJet lub DeskJet, 600 DPI.
rem
rem  System MS-DOS lub Windows 95 zainstalowany na dysku C:.
rem
rem  Pliki zrodlowe w katalogach zgodnych ze specyfikacja CTAN (p. nizej).
rem
rem  Instalacja pakietu emTeX do podkatalogow katalogu C:\MINITEX\.
rem
rem  Dla innych warunkow instalacji nalezy dokonac odpowiednich modyfikacji
rem  w skladni polecen.
rem
rem  --------------------------------------------------------------------------
rem    Wstepna konfiguracja systemu
rem  --------------------------------------------------------------------------
rem
rem  Aby zoptymalizowac dzialanie procedur instalacyjnych oraz pozniejsza
rem  prace pakietu emTeX, w pliku CONFIG.SYS nalezy wpisac nastepujace
rem  polecenia:
rem
rem      DEVICE=HIMEM.SYS
rem      DEVICE=EMM386.EXE
rem      FILES=20
rem      BUFFERS=20
rem      BREAK=OFF
rem      SHELL=C:\COMMAND.COM /E:1024 /P
rem
rem  (Skladnia polecenia SHELL zaklada, ze system MS-DOS lub Windows 95 jest
rem  zainstalowany na dysku C:).
rem
rem  Jezeli, w pliku CONFIG.SYS znajduje sie juz polecenie SHELL, nalezy
rem  zwiekszyc wartosc parametru /E: o 512.
rem
rem  Z tych samych wzgledow nie nalezy uzywac polecenia DEVICE=EMM386.EXE z
rem  parametrem NOVCPI lub NOEMS.
rem
rem  Aby zoptymalizowac dzialanie procedur instalacyjnych oraz pozniejsza
rem  prace pakietu emTeX, w pliku AUTOEXEC.BAT nalezy wpisac polecenie:
rem
rem      LH /S SMARTDRV.EXE
rem
rem  --------------------------------------------------------------------------
rem    Niezbedne programy i pliki
rem  --------------------------------------------------------------------------
rem
rem  Do rozpakowania archiwow potrzebny jest program dearchiwizujacy UNZIP.EXE
rem  widoczny w domyslnej sciezce dostepu.
rem
rem  Do instalacji pakietu emTeX niezbedne sa pliki:
rem
rem      DVID16G1.ZIP
rem      EMXRSX.ZIP
rem      FONTCM.ZIP
rem      FONTLTX.ZIP
rem      L2INPUT.ZIP
rem      MF4B.ZIP
rem      MFJOB12D.ZIP
rem      TEX4B.ZIP
rem
rem  Te pliki powinny znajdowac sie w katalogu E:\SYSTEMS\MSDOS\EMTEX\.
rem
rem  Do polonizacji pakietu emTeX niezbedne sa pliki:
rem
rem      PL-MF.ZIP
rem
rem  (Katalog E:\TEXMF\FONTS\SOURCE\PUBLIC\PLFONTS\)
rem
rem      PL-TFM.ZIP
rem
rem  (Katalog E:\TEXMF\FONTS\TFM\PUBLIC\PLFONTS\)
rem
rem  oraz rozpakowany pakiet pLaTeX
rem
rem  (Katalog E:\TEXMF\SOURCE\LATEX\PLATEX\).
rem
rem  Pliki te sa dostepne w archiwum ftp.gust.org.pl lub na serwerach CTAN.
rem
rem  W razie zmiany nazw nowych wersji plikow, nalezy dokonac odpowiednich
rem  modyfikacji w tresci programu.
rem
rem  --------------------------------------------------------------------------
rem    Rozpakowywanie i konfiguracja pakietu emTeX
rem  --------------------------------------------------------------------------
rem
rem  UWAGA: Instalacja powinna byc przeprowadzana z poziomu systemu
rem  operacyjnego, bez uruchomionej zadnej nakladki.
rem
rem  Rozpakowanie pakietu emTeX przeprowadza sie wydajac polecenie:
rem
rem      MINITEX UNZIP
rem
rem  Konfiguracje i polonizacje pakietu emTeX przeprowadza sie wydajac
rem  polecenie:
rem
rem      MINITEX CONFIG
rem
rem  W celu zminimalizowania przestrzeni dyskowej zajmowanej przez generowane
rem  fonty nalezy na oba zadawane podczas instalacji pytania odpowiedziec `t'.
rem  W przeciwnym razie na pierwsze pytanie odpowiada sie `t', a na drugie `n'.
rem
rem  W celu uzywania przenosnej wersji pakietu emTeX z drukarka inna niz HP
rem  LaserJet lub DeskJet (600 DPI), nalezy po zakonczeniu instalacji
rem  zastapic prefiks `ljh' w pliku V.BAT wlasciwym:
rem
rem      Drukarka                                  Prefiks  Rozdz.
rem      ----------------------------------------------------------
rem      Canon BubbleJet (360 DPI)                 bj       360
rem      HP DeskJet (300 DPI)                      dj       300
rem      Fax (204x196 DPI)                         fax      204
rem      9-pin printers (240x216 DPI)              fx       240
rem      C.ITOH 8510A (160x144 DPI)                ito      160
rem      HP LaserJet (300 DPI)                     lj       300
rem      HP LaserJet i DeskJet (600 DPI)           ljh      600
rem      24-pin printers (360 DPI)                 p6h      360
rem      24-pin printers (180 DPI)                 p6l      180
rem      24-pin printers (360x180 DPI)             p6m      360
rem      HP QuietJet (192 DPI)                     qj       192
rem      EPSON Stylus 800 (360 DPI)                sty      360
rem
rem  Rozpakowanie i konfiguracja pakietu emTeX zabiera okolo 5.850.000 bajtow.
rem
rem  --------------------------------------------------------------------------
rem    Przenosna wersja pakietu emTeX
rem  --------------------------------------------------------------------------
rem
rem  Jednodyskietkowa wersje pakietu emTeX mozna utworzyc:
rem
rem   1. Rozpakowujac archiwa poleceniem:
rem
rem      MINITEX UNZIP
rem
rem   2. Tworzac z poziomu katalogu C:\MINITEX samorozpakowujace sie archiwum
rem      poleceniem:
rem
rem      RAR A -S -DS -M5 -R -TL -SFX MINITEX
rem
rem      (Program RAR ma bezkonkurencyjny wspolczynnik upakowania dla stalego
rem      archiwum, bez posortowanych nazw, o maksymalnej kompresji).
rem
rem   3. Zakladajac na dyskietce plik INSTALL1.BAT o tresci:
rem
rem      @ECHO OFF
rem      C:
rem      CD \
rem      IF NOT EXIST MINITEX\NUL MD MINITEX
rem      CD MINITEX
rem      A:\MINITEX
rem
rem   4. Kopiujac na dyskietke utworzone samorozpakowujace sie archiwum o
rem      nazwie:
rem
rem      MINITEX.EXE
rem
rem  Instalacje przenosnej wersji pakietu emTeX przeprowadza sie wydajac
rem  polecenie:
rem
rem      A:\INSTALL1
rem
rem  a nastepnie:
rem
rem      MINITEX CONFIG
rem
rem  W razie potrzeby zainstalowania przenosnej wersji pakietu emTeX w innym
rem  katalogu lub na innym dysku, nalezy przed uruchomieniem programu INSTALL1
rem  zmodyfikowac jego tresc, a po rozpakowaniu archiwum, a przed uruchomieniem
rem  programu MINITEX z parametrem CONFIG, odpowiednio zmodyfikowac skladnie
rem  polecen.
rem
rem  --------------------------------------------------------------------------
rem    Warunki licencji
rem  --------------------------------------------------------------------------
rem
rem  MINITEX.BAT jest dobrem wspolnym (public domain) i nie ma zadnej
rem  gwarancji.
rem
rem  Mozna go przystosowywac do wlasnych potrzeb, ale zabrania sie
rem  rozprowadzania go pod nazwa MINITEX w wersji innej niz oryginalna.
rem
rem  --------------------------------------------------------------------------
rem    Autor
rem  --------------------------------------------------------------------------
rem
rem  Cezary M. Kruk, ul. Zielonogorska 7 m. 2, 53-617 Wroclaw, (0-71) 556794
rem
rem  e-mail: c.kruk@adm.uni.wroc.pl
rem


:UNZIP

rem  --------------------------------------------------------------------------
rem    Rozpakowywanie pakietu emTeX
rem  --------------------------------------------------------------------------

:TEST1

     for %%d in (%PATH%) do if exist %%d\unzip.exe goto TEST2
     goto WARNING

:TEST2

     if not exist e:\texmf\tex\latex\platex\polski.sty goto WARNING

:START1

rem  Utworzenie katalogu docelowego

     md c:\minitex

rem  Kopiowanie pliku MINITEX.BAT

     copy minitex.bat c:\minitex > nul

rem  Przejscie na dysk zrodlowy

     e:

rem  Przejscie do katalogu zrodlowego

     cd \systems\msdos\emtex

:UNZIP1

rem  Rozpakowywanie pakietu emTeX

:DVID16G1

     echo Rozpakowanie archiwum DVID16G1.ZIP...
     unzip -o dvid16g1.zip emtex\bin\pcx*.bat -d c:\minitex\ > nul
     unzip -o dvid16g1.zip emtex\bin\prt*.bat -d c:\minitex\ > nul
     unzip -o dvid16g1.zip emtex\bin\v.bat -d c:\minitex\ > nul
     unzip -o dvid16g1.zip *.cnf -d c:\minitex\ > nul
     unzip -o dvid16g1.zip emtex\doc\english\dvidrv.doc -d c:\minitex\ > nul
     unzip -o dvid16g1.zip *.dot -d c:\minitex\ > nul
     unzip -o dvid16g1.zip *.dvi -d c:\minitex\ > nul
     unzip -o dvid16g1.zip emtex\data\dvidrv.err -d c:\minitex\ > nul
     unzip -o dvid16g1.zip emtex\bin\dvidrv.exe -d c:\minitex\ > nul
     unzip -o dvid16g1.zip emtex\bin\dvidot.exe -d c:\minitex\ > nul
     unzip -o dvid16g1.zip emtex\bin\dvihplj.exe -d c:\minitex\ > nul
     unzip -o dvid16g1.zip emtex\bin\dviscr.exe -d c:\minitex\ > nul

:EMXRSX

     echo Rozpakowanie archiwum EMXRSX.ZIP...
     unzip -o emxrsx.zip *.exe -d c:\minitex\ > nul

:FONTCM

     echo Rozpakowanie archiwum FONTCM.ZIP...
     unzip -o fontcm.zip *.mf -d c:\minitex\ > nul
     unzip -o fontcm.zip *.tfm -d c:\minitex\ > nul

:FONTLTX

     echo Rozpakowanie archiwum FONTLTX.ZIP...
     unzip -o fontltx.zip *.mf -d c:\minitex\ > nul
     unzip -o fontltx.zip *.tfm -d c:\minitex\ > nul

:L2INPUT

     echo Rozpakowanie archiwum L2INPUT.ZIP...
     unzip -o l2input.zip *.cfg -d c:\minitex\ > nul
     unzip -o l2input.zip *.clo -d c:\minitex\ > nul
     unzip -o l2input.zip *.cls -d c:\minitex\ > nul
     unzip -o l2input.zip *.def -d c:\minitex\ > nul
     unzip -o l2input.zip *.fd -d c:\minitex\ > nul
     unzip -o l2input.zip emtex\texinput\latex2e\fontmath.ltx -d c:\minitex\ > nul
     unzip -o l2input.zip emtex\texinput\latex2e\fonttext.ltx -d c:\minitex\ > nul
     unzip -o l2input.zip emtex\texinput\latex2e\hyphen.ltx -d c:\minitex\ > nul
     unzip -o l2input.zip emtex\texinput\latex2e\latex.ltx -d c:\minitex\ > nul
     unzip -o l2input.zip emtex\texinput\latex2e\ltpatch.ltx -d c:\minitex\ > nul
     unzip -o l2input.zip emtex\texinput\latex2e\preload.ltx -d c:\minitex\ > nul
     unzip -o l2input.zip *.sty -d c:\minitex\ > nul
     unzip -o l2input.zip *.tex -d c:\minitex\ > nul

:MF4B

     echo Rozpakowanie archiwum MF4B.ZIP...
     unzip -o mf4b.zip emtex\bin\makebas.bat -d c:\minitex\ > nul
     unzip -o mf4b.zip emtex\data\makebas.dat -d c:\minitex\ > nul
     unzip -o mf4b.zip emtex\doc\english\metafont.doc -d c:\minitex\ > nul
     unzip -o mf4b.zip emtex\bin\gftopk.exe -d c:\minitex\ > nul
     unzip -o mf4b.zip emtex\bin\makebas1.exe -d c:\minitex\ > nul
     unzip -o mf4b.zip emtex\bin\mf386.exe -d c:\minitex\ > nul
     unzip -o mf4b.zip *.mf -d c:\minitex\ > nul
     unzip -o mf4b.zip emtex\bmfbases\mf.poo -d c:\minitex\ > nul
     unzip -o mf4b.zip emtex\texinput\etc\testfont.tex -d c:\minitex\ > nul

:MFJOB12D

     echo Rozpakowanie archiwum MFJOB12D.ZIP...
     unzip -o mfjob12d.zip emtex\doc\english\mfjob.doc -d c:\minitex\ > nul
     unzip -o mfjob12d.zip emtex\bin\mfjob.exe -d c:\minitex\ > nul
     unzip -o mfjob12d.zip emtex\mfjob\dvidrv.mfj -d c:\minitex\ > nul
     unzip -o mfjob12d.zip emtex\bin\mfjob.ovl -d c:\minitex\ > nul

:TEX4B

     echo Rozpakowanie archiwum TEX4B.ZIP...
     unzip -o tex4b.zip emtex\bin\makefmt.bat -d c:\minitex\ > nul
     unzip -o tex4b.zip emtex\data\makefmt.dat -d c:\minitex\ > nul
     unzip -o tex4b.zip emtex\doc\english\tex.doc -d c:\minitex\ > nul
     unzip -o tex4b.zip emtex\bin\makefmt1.exe -d c:\minitex\ > nul
     unzip -o tex4b.zip emtex\bin\tex386.exe -d c:\minitex\ > nul
     unzip -o tex4b.zip emtex\btexfmts\tex.poo -d c:\minitex\ > nul
     unzip -o tex4b.zip *.tex -d c:\minitex\ > nul

:UNZIP2

rem  Utworzenie katalogow docelowych

     md c:\minitex\emtex\mfinput\polski
     md c:\minitex\emtex\tfm\polski
     md c:\minitex\emtex\texinput\polski
     md c:\minitex\emtex\texinput\polski\platex

rem  Rozpakowywanie pakietow PL-MF.ZIP PL-TFM.ZIP i skopiowanie programu PLATEX

rem  Kopiowanie plikow *.MF...

     cd \texmf\fonts\source\public\plfonts
     echo Kopiowanie plikow *.MF...
     copy *.mf c:\minitex\emtex\mfinput\polski > nul

rem  Kopiowanie plikow *.TFM...

     cd \texmf\fonts\tfm\public\plfonts
     echo Kopiowanie plikow *.TFM...
     copy *.tfm c:\minitex\emtex\tfm\polski > nul

rem  Kopiowanie pliku PLHYPH.TEX

     cd \texmf\tex\generic\hyphen
     echo Kopiowanie pliku PLHYPH.TEX
     copy plhyph.tex c:\minitex\emtex\texinput\polski\platex > nul

rem  Kopiowanie programu PLATEX...

     cd \texmf\source\latex\platex
     echo Kopiowanie programu PLATEX...
     copy *.* c:\minitex\emtex\texinput\polski\platex > nul

rem  Kopiowanie dokumentacji

     cd \texmf\doc\latex\platex
     echo Kopiowanie dokumentacji...
     md c:\minitex\emtex\doc\polski
     md c:\minitex\emtex\doc\polski\platex
     copy czytaj.txt c:\minitex\emtex\doc\polski\platex > nul
     md c:\minitex\emtex\doc\english\platex
     copy readme.txt c:\minitex\emtex\doc\english\platex > nul

:STOP1

rem  Przejscie na dysk docelowy

     c:

rem  Przejscie do katalogu docelowego

     cd c:\minitex

     echo.
     echo Rozpakowywanie pakietu emTeX zakonczone.
     echo.

:ERRATA

    if exist emtex\texinput\latex2e\cp1250.def del emtex\texinput\latex2e\cp1250.def
    if exist emtex\texinput\latex2e\ot4enc.def del emtex\texinput\latex2e\ot4enc.def

goto END


:CONFIG

rem  --------------------------------------------------------------------------
rem    Konfiguracja pakietu emTeX
rem  --------------------------------------------------------------------------

:TEST2

     if not exist c:\minitex\emtex\texinput\polski\platex\platex.ins goto WARNING

:START2

rem  Przejscie na dysk docelowy

     c:

:SET0

rem  Ustawienie zmiennych systemowych dla pakietu emTeX

     set emtexdir=c:\minitex\emtex
     set emx=c:\minitex\emx\bin\emx.exe
     set emxtmp=%temp%
     set texinput=c:\minitex\emtex\texinput!!
     set dvidrvfonts=c:\minitex\texfonts;.
     set textfm=c:\minitex\emtex\tfm!;.
     set mfjobopt=/3

:SETPATH

rem  Ustawienie zmiennej systemowej PATH i OLDPATH

     if not [%oldpath%]==[] set path=%oldpath%
     set oldpath=%path%
     set path=%path%;c:\minitex\emtex\bin

:SET_TEX

rem  Przejscie do katalogu z binariami

     cd c:\minitex\emtex\bin

rem  Generowanie pliku SET_TEX.BAT

     echo @echo off> set_tex.bat
     echo if [%%oldpath%%]==[] goto ON>> set_tex.bat
     echo :OFF>> set_tex.bat
     echo set path=%%oldpath%%>> set_tex.bat
     echo set oldpath=>> set_tex.bat
     echo set emtexdir=>> set_tex.bat
     echo set emx=>> set_tex.bat
     echo set emxtmp=>> set_tex.bat
     echo set texinput=>> set_tex.bat
     echo set dvidrvfonts=>> set_tex.bat
     echo set textfm=>> set_tex.bat
     echo set mfjobopt=>> set_tex.bat
     echo goto BYE>> set_tex.bat
     echo :ON>> set_tex.bat
     echo set oldpath=%%path%%>> set_tex.bat
     echo set path=%%path%%;c:\minitex\emtex\bin>> set_tex.bat
     echo set emtexdir=c:\minitex\emtex>> set_tex.bat
     echo set emx=c:\minitex\emx\bin\emx.exe>> set_tex.bat
     echo set emxtmp=%%temp%%>> set_tex.bat
     echo set texinput=c:\minitex\emtex\texinput!!>> set_tex.bat
     echo set dvidrvfonts=c:\minitex\texfonts>> set_tex.bat
     echo set textfm=c:\minitex\emtex\tfm!;.>> set_tex.bat
     echo set mfjobopt=/3>> set_tex.bat
     echo :BYE>> set_tex.bat
     echo set>> set_tex.bat

rem  Kopiowanie pliku SET_TEX.BAT

     copy set_tex.bat c:\minitex > nul

:TEXFMTS1

rem  Przejscie do katalogu z formatami

     cd c:\minitex\emtex\btexfmts

:PLAIN

rem  Generowanie formatu PLAIN

     call makefmt 386 plain US 8bit -f plain

:PLAINBAS

rem  Przejscie do katalogu z formatami

     cd c:\minitex\emtex\bmfbases

rem  Generowanie formatu PLAINBAS

     call makebas 386 plain

:BATCH

rem  Przejscie do katalogu z binariami

     cd c:\minitex\emtex\bin

rem  Generowanie pliku V.BAT dla drukarki HP LaserJet lub DeskJet (600 DPI)

     echo @dvidrv dviscr @ljh /fl=-1 /ocr=1 %%1 %%2 %%3 %%4 %%5 %%6 %%7 %%8 %%9> v.bat

:PLATEX

rem  Przejscie do katalogu zrodlowego

     cd c:\minitex\emtex\texinput\polski\platex

rem  Generowanie formatu pLaTeX

     tex386 platex.ins

rem  Generowanie formatu bez zaszytej strony kodowej

     tex386 /i /8 /mt13000 /mf65500 latex.ltx

rem  Kopiowanie plikow do katalogow docelowych

     copy latex.fmt c:\minitex\emtex\btexfmts\platex.fmt > nul
     copy latex.log c:\minitex\emtex\btexfmts\platex.log > nul
     copy texsys.aux c:\minitex\emtex\btexfmts > nul

rem  Usuwanie oryginalow plikow

     del latex.fmt
     del latex.log
     del texsys.aux

:EXEC2

rem  Przejscie do katalogu z binariami

     cd c:\minitex\emtex\bin

rem  Generowanie pliku PLATEX.BAT

     echo @echo off> platex.bat
     echo if exist e.bat del e.bat>> platex.bat
     echo tex386 /mt13000 /mf65500 /ae.bat &platex %%1 %%2 %%3 %%4 %%5 %%6 %%7 %%8 %%9>> platex.bat
     echo if exist e.bat e.bat>> platex.bat

:STOP2

rem  Przejscie do katalogu docelowego

     cd c:\minitex

     echo.
     echo Konfiguracja pakietu emTeX zakonczona.
     echo.

goto END


rem  --------------------------------------------------------------------------
rem    Procedury wyswietlajace informacje
rem  --------------------------------------------------------------------------

:HELP0
echo.
echo MINITEX instaluje minimalna wersje pakietu emTeX w katalogu C:\MINITEX\.
echo.
echo   MINITEX [TYPE] [UNZIP] [CONFIG] [HELP]
echo.
echo     TYPE   -- wyswietla tresc pliku MINITEX.BAT.
echo     UNZIP  -- rozpakowuje archiwa pakietu emTeX.
echo     CONFIG -- konfiguruje i polonizuje pakiet.
echo     HELP   -- wyswietla wprowadzenie do pracy z pakietem.
echo.
goto END

:HELP
cls
echo.
echo Przed rozpoczeciem pracy z pakietem emTeX nalezy wydac polecenie:
echo.
echo     C:\MINITEX\SET_TEX
echo.
echo.
echo Pliki typu TEX przetwarza sie do postaci DVI poleceniem:
echo.
echo     PLATEX PLIK
echo.
echo.
echo Pliki DVI wyswietla sie poleceniem:
echo.
echo     V PLIK
echo.
echo.
echo Pliki DVI drukuje sie poleceniem:
echo.
echo     PRT* PLIK
echo.
echo (n.p.: PRTHPLJH dla drukarki HP LaserJet lub DeskJet, 600 DPI).
pause > nul
cls
echo.
echo Pliki w formacie pLaTeX musza miec wpisana w naglowku deklaracje:
echo.
echo     \usepackage{polski}
echo     \usepackage[strona_kodowa]{inputenc}
echo.
echo gdzie strona_kodowa to: mazovia, cp852, cp1250, latin2 lub amigapl.
echo.
echo.
echo Pliki w formacie LaTeX2e mozna przetwarzac bez modyfikacji.
pause > nul
cls
echo.
echo W plikach w formacie LaMeX nalezy zmienic naglowek z:
echo.
echo     \documentstyle[a4,opcje,pakiety]{iklasa}
echo     \prefixing
echo.
echo na:
echo.
echo     \documentclass[a4paper,opcje]{klasa}
echo     \usepackage{polski,pakiety}
echo     \usepackage[strona_kodowa]{inputenc}
echo     \prefixing
echo.
echo gdzie klasa to: article, report, letter, book,
echo a strona_kodowa to: mazovia, cp852, cp1250, latin2 lub amigapl.
echo.
echo.
echo Pliki w formacie LaTeX209 mozna przetwarzac bez modyfikacji.
pause > nul
cls
echo.
echo Pliki w formacie MeX, po usunieciu polecenia \bye, przetwarza sie
echo szablonem:
echo.
echo     \documentclass{ltxdoc}
echo     \usepackage[MeX]{polski}
echo     \usepackage[strona_kodowa]{inputenc}
echo     \prefixing
echo     \begin{document}
echo     \input{plik_mex}
echo     \end{document}
echo.
echo gdzie strona_kodowa to: mazovia, cp852, cp1250, latin2 lub amigapl,
echo a plik_mex to nazwa przetwarzanego pliku w formacie MeX.
echo.
echo.
echo Pliki w formacie Plain TeX przetwarza sie poleceniem:
echo.
echo     tex386 plik_tex
echo.
pause > nul
goto END

:TYPE
more < minitex.bat
goto END

:WARNING
echo.
echo Przeczytaj plik MINITEX.BAT.
echo.

:END
